﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Telerik.UI.Xaml.Controls.Grid;
using Telerik.UI.Xaml.Controls.Primitives;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace App1
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            this.DataGrid.ItemsSource = new List<Data>
             {
                 new Data { Country = "India", Capital = "New Delhi"},
                 new Data { Country = "South Africa", Capital = "Cape Town"},
                 new Data { Country = "Nigeria", Capital = "Abuja" },
                 new Data { Country = "Singapore", Capital = "Singapore" }
             };

        }      
    }

    public class CustomTriggerBehavior : RadialMenuTriggerBehavior
    {
        private bool isShown = false;
        public CustomTriggerBehavior()
        {
            this.AttachTriggers = RadialMenuAttachTriggers.None;
        }

        protected override void SubscribeToTargetEvents(FrameworkElement element)
        {
            base.SubscribeToTargetEvents(element);

            var button = element as Button;
            button.Click += Button_Click;         
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (isShown == false)
            {
                this.AttachToTargetElement();
                isShown = true;
            }
            else
            {
                this.DetachFromTargetElement();
                isShown = false;
            }
        }
     
        protected override void UnsubscribeFromTargetEvents(FrameworkElement element)
        {
            var button = element as Button;
            button.Click -= Button_Click;

            base.UnsubscribeFromTargetEvents(element);
        }
    }

    public class Data
    {
        public string Country { get; set; }

        public string Capital { get; set; }
    }
}
